<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Продажа пойманой рыбы'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo '1 рыбка стоит 50 LM<br/>';
echo '<img src="/style/icons/fish.png" alt="+"> Пойманая рыбка <b>'.$user['extra_ball'].'</b><br/>';
echo '<img src="/style/icons/many.gif" alt="+"> LM: <b>'.$user['balls'].'$</b><br/>';
echo '<form action="bankfish.php?action=change" method="post">';
echo 'Сколько рыбы продаем?<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Толкнуть"/>';
echo '</form>';
break;

case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['extra_ball']<$num){echo 'У вас нет столько рыбы!';break;};
$baks=$num*50;
mysql_query("UPDATE `user` SET `balls`=`balls`+'$baks',`extra_ball`=`extra_ball`-'$num' WHERE `id`='".$user['id']."'");
echo 'Вы успешно продали рыбку!';
break;


};
}else{echo '<div class="msg">Mafia Wars закрыта администратором!</div>';};

}else{
echo '<div class="msg">Mafia Wars доступенa только для авторизованых пользователей!</div>';
};
echo '<div class="foot"><a href="/umenu.php">Мое меню</a></div>';
include_once '../sys/inc/tfoot.php';
?>